--- title: "Get Throughput Traffic" slug: "get-throughput-traffic-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-throughput-traffic-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Throughput Traffic This URL gets details of enterprise throughput. ### Resource URL GET /ntbamonitors/{ntbaId}/throughputtraffic? TopN= &startTime=&endTime= ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `ntbaId` | NTBA monitor id | Number | Yes | | `TopN` | Number of top rows, default 50. | Number | No | | `startTime` | Start time in the format: yyyy-MM-dd HH:mm | String | No | | `endTime` | End time in the format: yyyy-MM-dd HH:mm | String | No | | `frequency` | Frequency: 1min 10mins Hourly Daily | String | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `throughputTrafficList` | Traffic list | Array | Details of throughputTrafficList: | Field Name | Description | Data Type | | --- | --- | --- | | `inbound` | Inbound traffic | String | | `outbound` | Outbound traffic | String | | `time` | Time | String | ### Example **Request** GET [https:///sdkapi/ntbamonitors/1006/throughputtraffic?startTime=2012-APR-20 12:15&endTime=2012-APR-20 12:11](https://<NSM_IP>/sdkapi/ntbamonitors/1006/throughputtraffic?startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11%20) **Response** ``` { "throughputTrafficList":[       {"inbound":"0M",    "outbound":"0M",    "time":"2013-08-27 16:47:00"}] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than ned time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id | | 7 | 400 | 4311 | Invalid application id or no data |